local elapsed = 0;
local TT
local WTBroker = CreateFrame("Frame");

WTBroker.obj = LibStub("LibDataBroker-1.1"):NewDataObject("WinterTime", { type = "data source", icon = "Interface\\Icons\\INV_EssenceOfWintergrasp"})

WTBroker:SetScript("OnUpdate", function(self, elap)
    elapsed = elapsed + elap;
    if elapsed >= 1 then
        elapsed = elapsed -1;
        if WinterTime_GetTimer() > 0 then
            local txt = " "..WinterTime_GetText()
            if WinterTimeShowColor == 1 then
                if (WinterTime_GetControl() == "Horde") then
                    txt = " |c00ff5555"..txt.."|r";
                elseif (WinterTime_GetControl() == "Alliance") then
                    txt = " |c007777ff"..txt.."|r";
                end
            else
                if (WinterTime_GetControl() == "Horde") then
                    txt = "(H) "..txt;
                elseif (WinterTime_GetControl() == "Alliance") then
                    txt = "(A) "..txt;
                else
                    txt = "(?) "..txt;
                end
            end
        
            WTBroker.obj.text = txt;
            
        else
            WTBroker.obj.text = "";
        end
    end
end)

function WTBroker.obj.OnClick(self, Button)
    if TT then TT:Hide(); end;
	if Button == "LeftButton" then
        --WinterTimeAnnounceButton:Show();
        ToggleDropDownMenu(1, nil, WinterTimeAnnounceButton, "cursor", 5, -10);
	elseif Button == "RightButton" then
		WinterTimeOptionsFrame:Show();
	end
end

function WTBroker.obj.OnTooltipShow(Tooltip)
    TT = Tooltip;
	Tooltip:AddLine("|c005555ffWinterTime|r  "..WinterTime_GetVersion(), 1, 1, 1);
	Tooltip:AddLine(" ");
	Tooltip:AddLine("Left Click to announce", 1, 1, 1);
    Tooltip:AddLine("Right Click for options", 1, 1, 1);
    if (WinterTimeFormPVP:GetHeight()>40) then
        Tooltip:AddLine(" ");
        Tooltip:AddLine("Kills:         "..WTKillCount:GetText());
        Tooltip:AddLine("Honor:     "..WTHonorCount:GetText());
    end
    
end 